package com.ecosway.connector.services.dotcom.dao;

import com.ecosway.connector.services.dotcom.domain.Shopper;

/**
 * The DAO for {@link Shopper}.
 * 
 * @author chinyeh
 *
 */
public interface ShopperDao {

	/**
	 * Persists the given shopper object.
	 * 
	 * @param shopper the shopper to be persisted
	 * @return the number of affected rows
	 */
	int save(Shopper shopper);
	
	/**
	 * Retrieves the shopper by shopper reference number.
	 * 
	 * @param shopperRefNo the shopper reference no.
	 * @return the shopper object if found
	 */
	Shopper retrieveByRefNo(int shopperRefNo);
}
