package com.ecosway.connector.services.dotcom.service;

import com.ecosway.connector.services.dotcom.domain.MemberInfo;
import com.ecosway.connector.services.dotcom.domain.MemberRegistrationRequest;

/**
 * Registration related services.
 * 
 * @author chinyeh
 *
 */
public interface RegistrationServices {

	/**
	 * Registers the member.
	 * 
	 * @param registrationRequest the request object
	 * @return true if success else false
	 */
	boolean registerMember(MemberRegistrationRequest registrationRequest);

	/**
	 * Queries the member profile using the shopper reference number.
	 * 
	 * @param shopperReferenceNo the shopper's reference number
	 * @return the member info which contains shopper profile, shopper address
	 */
	MemberInfo queryMember(int shopperReferenceNo);
	
}
